Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.iso_profile.ebrim
Class EBRIM_Mapping

    java.lang.Object
      org.deegree.ogcwebservices.csw.iso_profile.ebrim.EBRIM_Mapping

    public class EBRIM_Mapping

extends Object

Maps valid ebrim propertypaths including variables (aka aliases) e.g. $o1 to the according wfs-propertyPaths.

Since:
  2.0
Version:
  $Revision: 1.8 $, 1.0. $Revision: 1.8 $, $Date: 2007-06-21 13:53:57 $
Author:
  Rutger Bezema, last edited by: $Author: bezema $

Constructor Summary
`EBRIM_Mapping()` The constructor parses the configuration file 'adv_catalog.properties' containing the propertypath mappings from ebrim to gml.

Method Summary
`NodeList` | `mapElementSetName(Node elementSetNameNode)` This method take an elementSetName node and conerts it's content into a list of wfs:PropertyName nodes.
`String` | `mapPropertyPath(Node node)` maps a property name of GetRecords, Delete and Update request from the catalogue schema to the underlying WFS schema
`String` | `mapTypeNameElement(Node typeNameElement)` Maps the typename of the given Element if the targetNamespace attribute of the given Node equals the rimNS.
`String` | `mapTypeNames(Node node)` maps the property names of given typenames in the typeNames attribute of a GetRecords request to the catalogue schema of the underlying WFS schema

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EBRIM_Mapping

    public EBRIM_Mapping()

  The constructor parses the configuration file 'adv_catalog.properties' containing the propertypath mappings from ebrim to gml.

Method Detail

### mapPropertyPath

    public String mapPropertyPath(Node node)
                           throws XMLParsingException

  maps a property name of GetRecords, Delete and Update request from the catalogue schema to the underlying WFS schema

  Parameters:
    `node` - containing the propertyPath
  Returns:
    the mapped propertypath
  Throws:
    `XMLParsingException`

### mapTypeNames

    public String mapTypeNames(Node node)
                        throws XMLParsingException

  maps the property names of given typenames in the typeNames attribute of a GetRecords request to the catalogue schema of the underlying WFS schema

  Parameters:
    `node` - the GetRecords request Node
  Returns:
    the mapped propertypath
  Throws:
    `XMLParsingException`

### mapElementSetName

    public NodeList mapElementSetName(Node elementSetNameNode)

  This method take an elementSetName node and conerts it's content into a list of wfs:PropertyName nodes. Depending on the (String) value of the elementSetNameNode (brief, summary, full) the propertyNames will have different values. For this method to work a temporal document is builded from which one element is created, this element will hold all child elements.

  Parameters:
    `elementSetNameNode` - the ElementSetName Node of the incoming GetRecords request.
  Returns:
    a Nodelist containing nodes.

### mapTypeNameElement

    public String mapTypeNameElement(Node typeNameElement)

  Maps the typename of the given Element if the targetNamespace attribute of the given Node equals the rimNS.

  Parameters:
    `typeNameElement` - the TypeName Element inside a DescribeRecord request.
  Returns:
    the mapping of the featureType requested or an empty string (e.g. "").

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org